
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was CERNLIBConfig.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

SET(CERNLIB_VERSION 2024.09)
SET(CERNLIB_VERSION_MAJOR  2024)
SET(CERNLIB_VERSION_MINOR  09)
SET(CERNLIB_VERSION_PATCH  16)

set_and_check(CERNLIB_INCLUDE_DIR ${PACKAGE_PREFIX_DIR}/include/cernlib/2024)

find_library(CERNLIB_PAWLIB         NAMES pawlib          HINTS ${PACKAGE_PREFIX_DIR}/lib64/cernlib/2024/lib NO_DEFAULT_PATH)
find_library(CERNLIB_PAWLIBLESSTIF  NAMES pawlib-lesstif  HINTS ${PACKAGE_PREFIX_DIR}/lib64/cernlib/2024/lib NO_DEFAULT_PATH)
find_library(CERNLIB_KERNLIB        NAMES kernlib         HINTS ${PACKAGE_PREFIX_DIR}/lib64/cernlib/2024/lib NO_DEFAULT_PATH)
find_library(CERNLIB_PACKLIB        NAMES packlib         HINTS ${PACKAGE_PREFIX_DIR}/lib64/cernlib/2024/lib NO_DEFAULT_PATH)
find_library(CERNLIB_PACKLIBLESSTIF NAMES packlib-lesstif HINTS ${PACKAGE_PREFIX_DIR}/lib64/cernlib/2024/lib NO_DEFAULT_PATH)
find_library(CERNLIB_GRAFLIB        NAMES graflib         HINTS ${PACKAGE_PREFIX_DIR}/lib64/cernlib/2024/lib NO_DEFAULT_PATH)
find_library(CERNLIB_GRAFX11        NAMES grafX11         HINTS ${PACKAGE_PREFIX_DIR}/lib64/cernlib/2024/lib NO_DEFAULT_PATH)
find_library(CERNLIB_MATHLIB        NAMES mathlib         HINTS ${PACKAGE_PREFIX_DIR}/lib64/cernlib/2024/lib NO_DEFAULT_PATH)
find_library(CERNLIB_PHTOOLS        NAMES phtools         HINTS ${PACKAGE_PREFIX_DIR}/lib64/cernlib/2024/lib NO_DEFAULT_PATH)

set(CERNLIB_LIBRARIES )
if(EXISTS ${CERNLIB_PAWLIB})
  list( APPEND  CERNLIB_LIBRARIES ${CERNLIB_PAWLIB})
endif()
if(EXISTS ${CERNLIB_PAWLIBLESSTIF})
  list( APPEND  CERNLIB_LIBRARIES ${CERNLIB_PAWLIBLESSTIF})
endif()

if(EXISTS ${CERNLIB_KERNLIB})
  list( APPEND  CERNLIB_LIBRARIES ${CERNLIB_KERNLIB})
endif()

if(EXISTS ${CERNLIB_PACKLIB})
  list( APPEND  CERNLIB_LIBRARIES ${CERNLIB_PACKLIB})
endif()

if(EXISTS ${CERNLIB_PACKLIBLESSTIF})
  list( APPEND  CERNLIB_LIBRARIES ${CERNLIB_PACKLIBLESSTIF})
endif()

if(EXISTS ${CERNLIB_GRAFLIB})
  list( APPEND  CERNLIB_LIBRARIES ${CERNLIB_GRAFLIB})
endif()

if(EXISTS ${CERNLIB_GRAFX11})
  list( APPEND  CERNLIB_LIBRARIES ${CERNLIB_GRAFX11})
endif()

if(EXISTS ${CERNLIB_MATHLIB})
  list( APPEND  CERNLIB_LIBRARIES ${CERNLIB_MATHLIB})
endif()

if(EXISTS ${CERNLIB_PHTOOLS})
  list( APPEND  CERNLIB_LIBRARIES ${CERNLIB_PHTOOLS})
endif()


find_library(CERNLIB_PAWLIB_STATIC         NAMES libpawlib.a          HINTS ${PACKAGE_PREFIX_DIR}/lib64/cernlib/2024/lib NO_DEFAULT_PATH)
find_library(CERNLIB_PAWLIBLESSTIF_STATIC  NAMES libpawlib-lesstif.a  HINTS ${PACKAGE_PREFIX_DIR}/lib64/cernlib/2024/lib NO_DEFAULT_PATH)
find_library(CERNLIB_KERNLIB_STATIC        NAMES libkernlib.a         HINTS ${PACKAGE_PREFIX_DIR}/lib64/cernlib/2024/lib NO_DEFAULT_PATH)
find_library(CERNLIB_PACKLIB_STATIC        NAMES libpacklib.a         HINTS ${PACKAGE_PREFIX_DIR}/lib64/cernlib/2024/lib NO_DEFAULT_PATH)
find_library(CERNLIB_PACKLIBLESSTIF_STATIC NAMES libpacklib-lesstif.a HINTS ${PACKAGE_PREFIX_DIR}/lib64/cernlib/2024/lib NO_DEFAULT_PATH)
find_library(CERNLIB_GRAFLIB_STATIC        NAMES libgraflib.a         HINTS ${PACKAGE_PREFIX_DIR}/lib64/cernlib/2024/lib NO_DEFAULT_PATH)
find_library(CERNLIB_GRAFX11_STATIC        NAMES libgrafX11.a         HINTS ${PACKAGE_PREFIX_DIR}/lib64/cernlib/2024/lib NO_DEFAULT_PATH)
find_library(CERNLIB_MATHLIB_STATIC        NAMES libmathlib.a         HINTS ${PACKAGE_PREFIX_DIR}/lib64/cernlib/2024/lib NO_DEFAULT_PATH)
find_library(CERNLIB_PHTOOLS_STATIC        NAMES libphtools.a         HINTS ${PACKAGE_PREFIX_DIR}/lib64/cernlib/2024/lib NO_DEFAULT_PATH)

set(CERNLIB_LIBRARIES_STATIC )
if(EXISTS ${CERNLIB_PAWLIB_STATIC})
  list( APPEND  CERNLIB_LIBRARIES_STATIC ${CERNLIB_PAWLIB_STATIC})
endif()
if(EXISTS ${CERNLIB_PAWLIBLESSTIF_STATIC})
  list( APPEND  CERNLIB_LIBRARIES_STATIC ${CERNLIB_PAWLIBLESSTIF_STATIC})
endif()

if(EXISTS ${CERNLIB_KERNLIB_STATIC})
  list( APPEND  CERNLIB_LIBRARIES_STATIC ${CERNLIB_KERNLIB_STATIC})
endif()

if(EXISTS ${CERNLIB_PACKLIB_STATIC})
  list( APPEND  CERNLIB_LIBRARIES_STATIC ${CERNLIB_PACKLIB_STATIC})
endif()

if(EXISTS ${CERNLIB_PACKLIBLESSTIF_STATIC})
  list( APPEND  CERNLIB_LIBRARIES_STATIC ${CERNLIB_PACKLIBLESSTIF_STATIC})
endif()

if(EXISTS ${CERNLIB_GRAFLIB_STATIC})
  list( APPEND  CERNLIB_LIBRARIES_STATIC ${CERNLIB_GRAFLIB_STATIC})
endif()

if(EXISTS ${CERNLIB_GRAFX11_STATIC})
  list( APPEND  CERNLIB_LIBRARIES_STATIC ${CERNLIB_GRAFX11_STATIC})
endif()

if(EXISTS ${CERNLIB_MATHLIB_STATIC})
  list( APPEND  CERNLIB_LIBRARIES_STATIC ${CERNLIB_MATHLIB_STATIC})
endif()

if(EXISTS ${CERNLIB_PHTOOLS_STATIC})
  list( APPEND  CERNLIB_LIBRARIES_STATIC ${CERNLIB_PHTOOLS_STATIC})
endif()

